<?php  //$Id: upgrade.php,v 1.4 2011/01/25 11:55:15 pangard Exp $

// This file keeps track of upgrades to
// the videotutor module
//
// Sometimes, changes between versions involve
// alterations to database structures and other
// major things that may break installations.
//
// The upgrade function in this file will attempt
// to perform all the necessary actions to upgrade
// your older installtion to the current version.
//
// If there's something it cannot do itself, it
// will tell you what you need to do.
//
// The commands in here will all be database-neutral,
// using the functions defined in lib/ddllib.php

function xmldb_videotutor_upgrade($oldversion=0) {

    global $CFG, $THEME, $DB;

    //$dbman = $DB->get_manager(); // loads ddl manager and xmldb classes  (2.0?)

    $result = true;
 
    if ($result && $oldversion < 2009070903) { //New version in version.php

    /// Define field numdiap to be added to videotutor
        $table = new XMLDBTable('videotutor');
        $field = new XMLDBField('numdiap');
        $field->setAttributes(XMLDB_TYPE_INTEGER, '5', XMLDB_UNSIGNED, null, null, null, null, '1', 'timemodified');

    /// Launch add field numdiap
        $result = $result && add_field($table, $field);
        
    /// Define field playlist to be added to videotutor
        $table = new XMLDBTable('videotutor');
        $field = new XMLDBField('playlist');
        $field->setAttributes(XMLDB_TYPE_TEXT, 'medium', null, null, null, null, null, null, 'numdiap');

    /// Launch add field playlist
        $result = $result && add_field($table, $field);
        
    /// Define table diapinf to be created
        $table = new XMLDBTable('videotutor_diapinf');

    /// Adding fields to table diapinf
        $table->addFieldInfo('id', XMLDB_TYPE_INTEGER, '10', XMLDB_UNSIGNED, XMLDB_NOTNULL, XMLDB_SEQUENCE, null, null, null);
        $table->addFieldInfo('videotutorid', XMLDB_TYPE_INTEGER, '10', XMLDB_UNSIGNED, null, null, null, null, null);
        $table->addFieldInfo('titulo', XMLDB_TYPE_TEXT, 'small', null, null, null, null, null, null);
        $table->addFieldInfo('orden', XMLDB_TYPE_INTEGER, '5', XMLDB_UNSIGNED, null, null, null, null, null);
        $table->addFieldInfo('html_slide', XMLDB_TYPE_TEXT, 'big', null, null, null, null, null, null);
        $table->addFieldInfo('videourl', XMLDB_TYPE_CHAR, '255', null, null, null, null, null, null);
        $table->addFieldInfo('imagen_sinvideo', XMLDB_TYPE_CHAR, '255', null, null, null, null, null, null);

    /// Adding keys to table diapinf
        $table->addKeyInfo('primary', XMLDB_KEY_PRIMARY, array('id'));

    /// Launch create table for diapinf
        $result = $result && create_table($table);
    }
    if ($result && $oldversion < 2011010802) { //New version in version.php
    /// Define field use_bundled_jsmath to be added to videotutor
        $table = new XMLDBTable('videotutor');
        $field = new XMLDBField('use_bundled_jsmath');
        $field->setAttributes(XMLDB_TYPE_INTEGER, '5', XMLDB_UNSIGNED, null, null, null, null, '1', 'timemodified');

    /// Launch add field use_bundled_jsmath
        $result = $result && add_field($table, $field);
    }

    return $result;
}

?>
