<?php // $Id: edit.php,v 1.4 2011/01/08 12:23:30 pangard Exp $

require_once('../../config.php');
require_once('lib.php');

global $CFG, $USER;

$id      = optional_param('id', 0, PARAM_INT);   // course_module ID

if ($id) {
    if (! $cm = get_coursemodule_from_id('videotutor', $id)) {
        error('Course Module ID was incorrect');
    }

    if (! $course = get_record('course', 'id', $cm->course)) {
        error('Course is misconfigured');
    }

    if (! $videotutor = get_record('videotutor', 'id', $cm->instance)) {
        error('Course module is incorrect');
    }

} else {
    error('You must specify a course_module ID');
}

// Introducir los datos de las diapositivas en la tabla videotutor_diapinf (videotutor correspondiente y nº de diapositiva)
require_login($course, true, $cm);

$context = get_context_instance(CONTEXT_MODULE, $cm->id);
if (!has_capability('mod/videotutor:write', $context) and !has_capability('mod/videotutor:manageentries', $context)) {
    error('You can not edit slides.');
}

$videotutor = get_record('videotutor', 'id', $cm->instance);

$numdiap = $videotutor->numdiap;

$videotutor_diapinf = get_record('videotutor_diapinf', 'videotutorid', $videotutor->id, 'orden', 1);

if (!$videotutor_diapinf) {
    for ($i = 1; $i<= $numdiap; $i++) {

        $data = new object();
        $data->videotutorid = $videotutor->id;
        $data->orden = $i;
        insert_record('videotutor_diapinf', $data);
    }
}

$tabla='<table cellpadding="5">';
for ($i = 1; $i<= $numdiap; $i++) {
    $diapo = get_record('videotutor_diapinf', 'videotutorid', $videotutor->id, 'orden', $i);
    $tabla=$tabla.'<tr>
                <td>'.get_string('diapo', 'videotutor').' '.$diapo->orden.':</td>
        <td>'.$diapo->titulo.'</td>
        <td><a href="diapo_edit.php?id='.$id.'&videotutor_id='.$videotutor->id.'&diapo_id='.$diapo->id.'">'.get_string('edit', 'videotutor').'</a> </td>
        <td><a href="diapo_remove.php?id='.$id.'&videotutor_id='.$videotutor->id.'&diapo_id='.$diapo->id.'">'.get_string('remove', 'videotutor').'</a> </td>
        <td><a href="diapo_addAfter.php?id='.$id.'&videotutor_id='.$videotutor->id.'&order='.($diapo->orden + 1).'">'.get_string('add_after', 'videotutor').'</a> </td>

            </tr>'; 
}

$tabla=$tabla.'</table>';

$addString = '<a href="diapo_addAfter.php?id='.$id.'&videotutor_id='.$videotutor->id.'&order=1">'.get_string('add_First', 'videotutor').'</a>';
//$addString = '<h5>Hola</h5>';
// Fin de la introducción, quizá se pueda hacer en el mod_form.php directamente.

require_login($course, true, $cm);
$context = get_context_instance(CONTEXT_MODULE, $cm->id);

    
$stredit = get_string('edit', 'videotutor');
$navigation = build_navigation($stredit, $cm);
print_header_simple(format_string($videotutor->name), "", $navigation, "",
              "", true, "", navmenu($course, $cm));

print_heading(format_string($videotutor->name));

//echo 
print($addString);
print($tabla);
echo '<br />';
echo '<div class="boton ver">';
        echo "<form id=\"newentryform\" method=\"get\" action=\"$CFG->wwwroot/mod/videotutor/view.php?id=$id\">";
        echo '<div>';
        echo "<input type=\"hidden\" name=\"id\" value=\"$id\" />";
        echo '<input type="submit" value="';
        print_string('see', 'videotutor'); 
        echo '" />';
        echo '</div>';
        echo '</form>';
        echo "</div>\n";
echo '<br />';

print_footer($course);



?>
