<?php

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_once(dirname(__FILE__).'/lib.php');

$id      = optional_param('id', 0, PARAM_INT);   // course_module ID, or
$a       = optional_param('a', 0, PARAM_INT);    // videotutor instance ID

if ($id) {
    if (! $cm = get_coursemodule_from_id('videotutor', $id)) {
        error('Course Module ID was incorrect');
    }

    if (! $course = get_record('course', 'id', $cm->course)) {
        error('Course is misconfigured');
    }

    if (! $videotutor = get_record('videotutor', 'id', $cm->instance)) {
        error('Course module is incorrect');
    }

} else if ($a) {
    if (! $videotutor = get_record('videotutor', 'id', $a)) {
        error('Course module is incorrect');
    }
    if (! $course = get_record('course', 'id', $videotutor->course)) {
        error('Course is misconfigured');
    }
    if (! $cm = get_coursemodule_from_instance('videotutor', $videotutor->id, $course->id)) {
        error('Course Module ID was incorrect');
    }
    $id = $cm->id;
} else {
    error('You must specify a course_module ID or an instance ID');
}

require_login($course, true, $cm);
$context = get_context_instance(CONTEXT_MODULE, $cm->id);
add_to_log($course->id, "videotutor", "view", "view.php?id=$cm->id", "$videotutor->id");
 
/// Print the page header
$strvideotutors = get_string('modulenameplural', 'videotutor');
$strvideotutor  = get_string('modulename', 'videotutor');

$navlinks = array();
$navlinks[] = array('name' => $strvideotutors, 'link' => "index.php?id=$course->id", 'type' => 'activity');
$navlinks[] = array('name' => format_string($videotutor->name), 'link' => '', 'type' => 'activityinstance');

$navigation = build_navigation($navlinks);

print_header_simple(format_string($videotutor->name), '', $navigation, '', '', true,
              update_module_button($cm->id, $course->id, $strvideotutor), navmenu($course, $cm));

    echo '<div class="botones"><table><tr>';
    if (has_capability('mod/videotutor:write', $context) && isediting($id) ) {
        echo "<td><form id=\"newentryform\" method=\"get\" action=\"$CFG->wwwroot/mod/videotutor/edit.php\" target='_top'>";
        echo "<input type=\"hidden\" name=\"id\" value=\"$cm->id\" />";
        echo '<input type="submit" value="';
        print_string('edit', 'videotutor'); 
        echo '" /></form></td>';
    }
    echo "<td><form id=\"newentryform\" method=\"get\" action=\"$CFG->wwwroot/mod/videotutor/view.php\" target='_top'>";
    echo "<input type=\"hidden\" name=\"id\" value=\"$cm->id\" />";
    echo '<input type="hidden" name="hidenav" value="1" />';
    echo '<input type="submit" value="';
    print_string('hide_navigation', 'videotutor'); 
    echo '" /> </td></tr></table>';
    echo '</div>';
    echo '</form>';
    echo "</div>\n";

//    echo '<br />';


?>


