<?php // $Id: index.php,v 1.2 2010/01/04 22:56:36 pangard Exp $

/**
 * This page lists all the instances of videotutor in a particular course
 *
 * @author  Your Name <your@email.address>
 * @version $Id: index.php,v 1.2 2010/01/04 22:56:36 pangard Exp $
 * @package mod/videotutor
 */

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_once(dirname(__FILE__).'/lib.php');

$id = required_param('id', PARAM_INT);   // course

if (! $course = get_record('course', 'id', $id)) {
    error('Course ID is incorrect');
}

require_course_login($course);

add_to_log($course->id, 'videotutor', 'view all', "index.php?id=$course->id", '');


/// Get all required stringsvideotutor

$strvideotutors = get_string('modulenameplural', 'videotutor');
$strvideotutor  = get_string('modulename', 'videotutor');


/// Print the header

$navlinks = array();
$navlinks[] = array('name' => $strvideotutors, 'link' => '', 'type' => 'activity');
$navigation = build_navigation($navlinks);

print_header_simple($strvideotutors, '', $navigation, '', '', true, '', navmenu($course));

/// Get all the appropriate data

if (! $videotutors = get_all_instances_in_course('videotutor', $course)) {
    notice(get_string('novideotutors', 'videotutor'), "../../course/view.php?id=$course->id");
    die;
}

/// Print the list of instances (your module will probably extend this)

$timenow  = time();
$strname  = get_string('name');
$strweek  = get_string('week');
$strtopic = get_string('topic');

if ($course->format == 'weeks') {
    $table->head  = array ($strweek, $strname);
    $table->align = array ('center', 'left');
} else if ($course->format == 'topics') {
    $table->head  = array ($strtopic, $strname);
    $table->align = array ('center', 'left', 'left', 'left');
} else {
    $table->head  = array ($strname);
    $table->align = array ('left', 'left', 'left');
}

foreach ($videotutors as $videotutor) {
    if (!$videotutor->visible) {
        //Show dimmed if the mod is hidden
        $link = "<a class=\"dimmed\" href=\"view.php?id=$videotutor->coursemodule\">$videotutor->name</a>";
    } else {
        //Show normal if the mod is visible
        $link = "<a href=\"view.php?id=$videotutor->coursemodule\">$videotutor->name</a>";
    }

    if ($course->format == 'weeks' or $course->format == 'topics') {
        $table->data[] = array ($videotutor->section, $link);
    } else {
        $table->data[] = array ($link);
    }
}

print_heading($strvideotutors);
print_table($table);

/// Finish the page

print_footer($course);

?>
