<?php

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_once(dirname(__FILE__).'/lib.php');

$id      = optional_param('id', 0, PARAM_INT);   // course_module ID, or
$a       = optional_param('a', 0, PARAM_INT);    // videotutor instance ID

if ($id) {
    if (! $cm = get_coursemodule_from_id('videotutor', $id)) {
        error('Course Module ID was incorrect');
    }

    if (! $course = get_record('course', 'id', $cm->course)) {
        error('Course is misconfigured');
    }

    if (! $videotutor = get_record('videotutor', 'id', $cm->instance)) {
        error('Course module is incorrect');
    }

} else if ($a) {
    if (! $videotutor = get_record('videotutor', 'id', $a)) {
        error('Course module is incorrect');
    }
    if (! $course = get_record('course', 'id', $videotutor->course)) {
        error('Course is misconfigured');
    }
    if (! $cm = get_coursemodule_from_instance('videotutor', $videotutor->id, $course->id)) {
        error('Course Module ID was incorrect');
    }
    $id = $cm->id;
} else {
    error('You must specify a course_module ID or an instance ID');
}

require_login($course, true, $cm);
$context = get_context_instance(CONTEXT_MODULE, $cm->id);
add_to_log($course->id, "videotutor", "view", "view.php?id=$cm->id", "$videotutor->id");

echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
';
if($videotutor->use_bundled_jsmath){
echo '<!------------jsMath --------------------->

<script SRC="software/jsMath/easy/load.js" type="text/javascript"></SCRIPT>

<!------------S5-Slides ------------------>

';}
echo '<title>'; echo get_string('marco_presentacion', 'videotutor'); echo '</title>
<!-- metadata -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="generator" content="S5" />
<meta name="version" content="S5 1.1" />
<meta name="presdate" content="20050728" />
<meta name="author" content="Eric A. Meyer" />
<meta name="company" content="Complex Spiral Consulting" />
<!-- configuration parameters -->
<meta name="defaultView" content="slideshow" />
<meta name="controlVis" content="hidden" />
<!-- style sheet links -->
<link rel="stylesheet" href="software/s5/slides.css" type="text/css" media="projection" id="slideProj" />
<link rel="stylesheet" href="software/s5/outline.css" type="text/css" media="screen" id="outlineStyle" />
<link rel="stylesheet" href="software/s5/print.css" type="text/css" media="print" id="slidePrint" />
<link rel="stylesheet" href="software/s5/opera.css" type="text/css" media="projection" id="operaFix" />
<!-- embedded styles -->
<style type="text/css" media="all">
.imgcon {width: 525px; margin: 0 auto; padding: 0; text-align: center;}
#anim {width: 270px; height: 320px; position: relative; margin-top: 0.5em;}
#anim img {position: absolute; top: 42px; left: 24px;}
img#me01 {top: 0; left: 0;}
img#me02 {left: 23px;}
img#me04 {top: 44px;}
img#me05 {top: 43px;left: 36px;}
</style>
<!-- S5 JS -->
<script src="software/s5/slides.js" type="text/javascript"></script>
</head>

<body>

<div class="layout">
<div id="controls"><!-- DO NOT EDIT --></div>
<div id="currentSlide"><!-- DO NOT EDIT --></div>
<div id="header"></div>
<div id="footer">
<h1>S5 Content</h1>
</div>

</div>
<div class="presentation">

<div class="slide">
<h1 style="text-align: center;">'; echo $videotutor->name; echo '</h1>
<h3 style="text-align: center;">'; echo $videotutor->intro; echo '</h3>
</div>';

for($i=1; $i<=$videotutor->numdiap; $i++){ 
    $videotutor_diapinf = get_record('videotutor_diapinf', 'videotutorid', $videotutor->id, 'orden', $i);

    echo '<div class="slide"><h1>'; echo $videotutor_diapinf->titulo; echo '</h1>';
    echo format_text($videotutor_diapinf->html_slide);
//    echo purify($videotutor_diapinf->html_slide);
    echo '</div>';
}

echo '</div>

</body>
</html>';
?>
