<?php
global $CFG, $COURSE;

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_once(dirname(__FILE__).'/lib.php');
include_once($CFG->dirroot.'/lib/filelib.php');

$id       = optional_param('id', 0, PARAM_INT);   // course_module ID, or
$a        = optional_param('a', 0, PARAM_INT);    // videotutor instance ID

if ($id) {
    if (! $cm = get_coursemodule_from_id('videotutor', $id)) {
        error('Course Module ID was incorrect');
    }

    if (! $course = get_record('course', 'id', $cm->course)) {
        error('Course is misconfigured');
    }

    if (! $videotutor = get_record('videotutor', 'id', $cm->instance)) {
        error('Course module is incorrect');
    }

} else if ($a) {
    if (! $videotutor = get_record('videotutor', 'id', $a)) {
        error('Course module is incorrect');
    }
    if (! $course = get_record('course', 'id', $videotutor->course)) {
        error('Course is misconfigured');
    }
    if (! $cm = get_coursemodule_from_instance('videotutor', $videotutor->id, $course->id)) {
        error('Course Module ID was incorrect');
    }
    $id = $cm->id;
} else {
    error('You must specify a course_module ID or an instance ID');
}

require_login($course, true, $cm);
$context = get_context_instance(CONTEXT_MODULE, $cm->id);
add_to_log($course->id, "videotutor", "view", "view.php?id=$cm->id", "$videotutor->id");

echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
<head>
    <title>'; echo $videotutor->name; echo'</title>
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />

    <!------------Flowplayer -------------------->

    <script src="software/flowplayer/jquery-1.3.2.min.js" type="text/javascript"></script>
    <script src="software/flowplayer/flowplayer-3.0.6.js" type="text/javascript"></script>
    <script src="software/flowplayer/flowplayer.playlist-3.0.5.js" type="text/javascript"></script>

    <style type="text/css">
    html {
        height: 100%;
        width: 100%;
    }
    body {
        height: 100%;
        width: 100%;
        margin: 0px;
//        overflow: hidden;
    }
    #zvideo {
        margin-top: 5%;
        margin-left: auto;
        margin-bottom: 5%;
        height: 100%;
    }
    #video {
        margin-bottom: 10px;
    }
    #player {
        display:block;
        width:380px;
        height:380px;
        margin: auto;
        border: solid #AAB 10px;
    }
    #clips {
        width: auto; 
        margin: 10px;
//        overflow-y: auto;
//        overflow-x: hidden;
        font-family: sans-serif;
        padding: 5px;
    }
    #clips a {
        display: block;
        font-weight: bold;
        padding: 5px;
        color: #005;
        border-top: solid thin #AAB;
        border-left: solid thin #AAB;
        border-right: solid #005;
        border-bottom: solid #005;
        text-decoration: none;
    }
    #clips a.playing {
        font-size: 20px;
        background: url("software/img/play.png") no-repeat 85% 0% !Important;
        border: 0;
    }
    #clips a.paused {
        font-size: 20px;
        background:url("software/img/pause.png") no-repeat 85% 0% !Important;
        border: 0px;
    }
    #clips ul{
        list-style-type: none;
        list-style-position: inside;
        padding-left:0px;
    }
    </style>

    <script type="text/javascript">
        function getHeight() {
            document.getElementById("clips").style.height = window.outerHeight - 600 + "px";
        } 
    </script>
    
</head>

<body onload=getHeight() onresize=getHeight()>
    <script type="text/javascript">

    // wait for the DOM to load using jQuery
    $(document).ready(function() {
    
        // setup player normally
        $f("player", "software/flowplayer/flowplayer-3.0.7.swf", {
    

        });
    
        /*
            here comes the magic plugin. It uses first div.clips element as the 
            root for as playlist entries. loop parameter makes clips play
            from the beginning to the end.
        */  
        $f("player").playlist("div#clips:first");
    
    });
    </script>
    
    <div id="zvideo">
        <!-- Reproductor de Video --> 
        <div id="video">
        <a id="player"></a>
        </div>

        <!-- Lista de Reproduccion -->
        <div id="clips"> ';
            for($i=1; $i<=$videotutor->numdiap; $i++) {
            $videotutor_diapinf = get_record('videotutor_diapinf', 'videotutorid', $videotutor->id, 'orden', $i);
            if ($videotutor_diapinf){
                echo '<a href="';
                $videourl=$videotutor_diapinf->videourl;
                if(substr($videourl,0,7)=='http://'){
                    echo $videourl;
                }else{
                    echo get_file_url($cm->course.'/'.$videourl);
                }
                echo '" onClick="parent.presentacion.goTo('.$i.');" >';
                echo $videotutor_diapinf->titulo;
                echo '</a>';
            }
            };
            //TODO: Links para editar cada diapo?
            if (!$videotutor_diapinf){
                //TODO: lo siguiente no funciona, a pesar de que el mismo
                //codigo en header.php si funciona
/*
                echo '<li>';
                print_string('presseditbutton', 'videotutor');
                echo "<form id=\"newentryform\" method=\"get\" action=\"$CFG->wwwroot/mod/videotutor/edit.php\" target='_top'>";
                echo "<input type=\"hidden\" name=\"id\" value=\"$cm->id\" />";
                echo '<input type="submit" value="';
                print_string('edit', 'videotutor'); 
                echo '" /></form></li>';
*/
                print_string('presseditbutton', 'videotutor'); 
            }
        echo '</div> 
    </div>
</body>
</html>';
?>
