<?php  // $Id: view.php,v 1.4 2011/01/25 11:55:14 pangard Exp $
/**
 * This page prints a particular instance of videotutor
 *
 * @author  Elisa de Llano <elisa.llano@estudiante.uam.es>
 * @version $Id: view.php,v 1.4 2011/01/25 11:55:14 pangard Exp $
 * @package mod/videotutor
 */

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_once(dirname(__FILE__).'/lib.php');

$id      = optional_param('id', 0, PARAM_INT);   // course_module ID, or
$a       = optional_param('a', 0, PARAM_INT);    // videotutor instance ID
$hidenav = optional_param('hidenav', 0, PARAM_INT);    // show or hide moodle navigation

if ($id) {
    if (! $cm = get_coursemodule_from_id('videotutor', $id)) {
        error('Course Module ID was incorrect');
    }

    if (! $course = get_record('course', 'id', $cm->course)) {
        error('Course is misconfigured');
    }

    if (! $videotutor = get_record('videotutor', 'id', $cm->instance)) {
        error('Course module is incorrect');
    }

} else if ($a) {
    if (! $videotutor = get_record('videotutor', 'id', $a)) {
        error('Course module is incorrect');
    }
    if (! $course = get_record('course', 'id', $videotutor->course)) {
        error('Course is misconfigured');
    }
    if (! $cm = get_coursemodule_from_instance('videotutor', $videotutor->id, $course->id)) {
        error('Course Module ID was incorrect');
    }
    $id = $cm->id;
} else {
    error('You must specify a course_module ID or an instance ID');
}

require_login($course, true, $cm);
$context = get_context_instance(CONTEXT_MODULE, $cm->id);
add_to_log($course->id, "videotutor", "view", "view.php?id=$cm->id", "$videotutor->id");

/// Página html
echo '<head>';
echo '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />';
echo '<title>';
echo $videotutor->name;
echo'</title></head>';
if(!$hidenav){
    echo '<frameset rows="100,*">';
    echo "<frame src=\"$CFG->wwwroot/mod/videotutor/header.php?id=$cm->id\" name='header'/>";
}
echo '<frameset cols="*,420">';
echo "<frame src=\"$CFG->wwwroot/mod/videotutor/presentacion.php?id=$cm->id\" name='presentacion'/>";
echo "<frame src=\"$CFG->wwwroot/mod/videotutor/video.php?id=$cm->id\" name='video'/>";
if(!$hidenav){
    echo '</frameset>';
}   
echo '</frameset>';
echo '<noframes><a href="">'.get_string('','videotutor').'</a></noframes>';
echo "<noframes><a href=\"$CFG->wwwroot/mod/videotutor/presentacion.php?id=$cm->id\"/>".get_string('sinmarcos', 'videotutor').'</a></noframes>';

/// Print the page header
/* 
$strvideotutors = get_string('modulenameplural', 'videotutor');
$strvideotutor  = get_string('modulename', 'videotutor');

$navlinks = array();
$navlinks[] = array('name' => $strvideotutors, 'link' => "index.php?id=$course->id", 'type' => 'activity');
$navlinks[] = array('name' => format_string($videotutor->name), 'link' => '', 'type' => 'activityinstance');

$navigation = build_navigation($navlinks);

print_header_simple(format_string($videotutor->name), '', $navigation, '', '', true,
              update_module_button($cm->id, $course->id, $strvideotutor), navmenu($course, $cm));
*/

/// Print the main part of the page



/// Botón de edición si hay permisos
/*
    if (has_capability('mod/videotutor:write', $context)) {
        echo '<div class="boton editar">';
        echo "<form id=\"newentryform\" method=\"get\" action=\"$CFG->wwwroot/mod/videotutor/edit.php\">";
        echo '<div>';
        echo "<input type=\"hidden\" name=\"id\" value=\"$cm->id\" />";
        echo '<input type="submit" value="';
        print_string('edit', 'videotutor'); 
        echo '" />';
        echo '</div>';
        echo '</form>';
        echo "</div>\n";
    }

    echo '<br />';
*/
/// Finish the page
//print_footer($course);

?>
